Bug 1569006 - Documentation for fresh installs should specify puppet4 by default
Summary: Documentation for fresh installs should specify puppet4 by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: csherrar
QA Contact: Vlada Grosu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 13:42 UTC by Christopher Brown
Modified: 2019-09-26 17:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 16:08:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Christopher Brown 2018-04-18 13:42:34 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html-single/installation_guide/#configuring_repositories_satellite

Section Number and Name: 

3.1.3

Describe the issue: 

Currently the installation instructions advise to enable the following repos:

subscription-manager repos --enable=rhel-7-server-rpms \
--enable=rhel-server-rhscl-7-rpms \
--enable=rhel-7-server-satellite-6.3-rpms

This means that default NEW installations of 6.3 will install puppet3. This then means that hosts get puppet3 packages making the upgrade to puppet4 and puppet 5 more painful.

Suggestions for improvement: 

We should specify puppet4 by default in the documentation.

subscription-manager repos --enable=rhel-7-server-rpms \
--enable=rhel-server-rhscl-7-rpms \
--enable=rhel-7-server-satellite-6.3-puppet4-rpms

This basically flips the default, with some text like:

If you require puppet3 to be installed, please note that Satellite 6.3 is the last supported release for this version and that you will need to upgrade to puppet4 prior to upgrading to Satellite 6.4 which only supports puppet5.

Comment 13 Christopher Brown 2018-05-14 09:27:13 UTC
Looks good, thanks!

Comment 14 csherrar 2018-05-14 09:55:39 UTC
(In reply to Christopher Brown from comment #13)
> Looks good, thanks!

Thanks Christopher!


Note You need to log in before you can comment on or make changes to this bug.